<?php
defined('BASEPATH') OR exit('No direct script access allowed');

function make_input_select($name, $value, $options)
{
	$input = '<select name="'.$name.'" id="'.$name.'" class="form-control">';
	foreach ($options as $option)
	{
		$input .= '<option value="'.$option.'"'.($option == $value ? ' selected' : '').'>'.$option.'</option>';
	}
	$input .= '</select>';

	return $input;
}

function make_input_vector($name, $value, $keys = NULL)
{
	if (empty($value))
	{
		$value = array('', '', '');
	}

	if (empty($keys))
	{
		$keys = array('x', 'y', 'z');
	}

	return '<table style="width:100%"><tr><td><input type="number" name="'.$name.'_'.$keys[0].'" id="'.$name.'_'.$keys[0].'" value="'.$value[0].'" class="form-control" step="any" /></td><td><input type="number" name="'.$name.'_'.$keys[1].'" id="'.$name.'_'.$keys[1].'" value="'.$value[1].'" class="form-control" step="any" /></td><td><input type="number" name="'.$name.'_'.$keys[2].'" id="'.$name.'_'.$keys[2].'" value="'.$value[2].'" class="form-control" step="any" /></td></tr></table>';
}

function make_input_scalar($name, $value)
{
	return '<input type="number" name="'.$name.'" id="'.$name.'" value="'.$value.'" class="form-control" step="any" />';
}

function make_input_int($name, $value, $attrs = ' min="0"')
{
	return '<input type="number" name="'.$name.'" id="'.$name.'" value="'.$value.'" class="form-control" step="1"'.$attrs.' />';
}
