<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Decompose_par_db extends Foam_db
{
	public function __construct($params = NULL)
	{
		parent::__construct($params);

		$this->init(array('class' => 'dictionary', 'location' => 'system', 'object' => 'decomposeParDict'));
	}

	protected function write_input_data()
	{
		$this->write_input_item('numberOfSubdomains', $this->data['numberOfSubdomains']);
		$this->write_empty_line();

		$this->write_input_item('method', $this->data['method']);
		$this->write_empty_line();

		$this->write_hr_line();
	}
}
