<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Util_input
{
	protected $items;
	protected $rfields;

	public function __construct()
	{
		$this->CI =& get_instance();
		$this->CI->load->helper('input');

		$this->items = array();
		$this->rfields = array();
	}

	public function transform_points()
	{
		$this->add_input_vector('rollPitchYaw', 'degrees');

		return $this->get_inputs();
	}

	public function get_inputs()
	{
		return array('items' => $this->items, 'js' => "$(document).ready(function() { rfields = jQuery.parseJSON('".json_encode(array('' => $this->rfields))."'); $('form').submit(function(event) { if (!validate()) { event.preventDefault(); } }); });");
	}

	public function get_form_vector($id)
	{
		return '('.$this->CI->input->post($id.'_x').' '.$this->CI->input->post($id.'_y').' '.$this->CI->input->post($id.'_z').')';
	}
	
	protected function add_input_vector($name, $id, $value = array(0, 0, 0), $optional = FALSE)
	{
		$this->add_input($name, $id, make_input_vector($id, $value), FALSE);

		if (!$optional)
		{
			$this->rfields[$id.'_x'] = $name;
			$this->rfields[$id.'_y'] = $name;
			$this->rfields[$id.'_z'] = $name;
		}
	}

	protected function add_input($name, $id, $input, $rfield = TRUE)
	{
		$this->items[$name] = $input;

		if ($rfield)
		{
			$this->rfields[$id] = $name;
		}
	}
}
