function drawChart(data) {
    var ctx = document.getElementById("canvas").getContext("2d");
    var lineChartData = data;

    myLine = new Chart(ctx).Line(lineChartData, {
            animation: false,
            responsive: true,
            bezierCurve : false,
            scaleUse2Y: true,
            pointDot: false,
            datasetFill: false,
            showTooltips: false,
            legendTemplate : "<ul><% for (var i=0; i<datasets.length; i++){%><li><span style=\"color:<%=datasets[i].strokeColor%>\"><%if(datasets[i].label){%>log \<%=datasets[i].label%><%}%></span></li><%}%></ul>"
            }
    );

    var legend = myLine.generateLegend();
    $('#legend').html(legend);
}
