<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Variable_db extends Foam_db
{
	public function __construct($params)
	{
		parent::__construct();
		$this->init($params);
	}

	protected function write_input_data()
	{
		$this->write_input_item('dimensions', $this->data['dimensions']);
		$this->write_empty_line();

		$this->write_input_item('internalField', $this->data['internalField']);
		$this->write_empty_line();

		$this->write_line('boundaryField');
		$this->write_line('{');
		foreach ($this->data['boundaryField'] as $key => $value)
		{
			$this->write_dictionary($key, $value, 1, 16);
			$this->write_empty_line();
		}
		$this->write_line('}');
		$this->write_empty_line();

		$this->write_hr_line();
	}
}
