<table class="maincontainer" style="height:100%">
<?= form_open($action) ?>
    <tr><td><table class="subcontainer"><tr><td style="padding-bottom: 9px"><h1>Workspace</h1></td></tr></table></td></tr>
    <tr>
        <td style="background-color:#FFFFFF;height:100%;border-left: 1px solid #ddd;border-right: 1px solid #ddd;border-top: 1px solid #ddd;vertical-align:top">
            <table class="subcontainer" style="margin:0 auto">
                <tr><td style="height:20px"></td></tr>
                <tr>
                    <td colspan="3" style="height:100%;vertical-align:top">
                        <table style="width:100%">
                            <tr>
                                <td style="width:240px">
                                    <label for="server">Solver Server</label>&nbsp;
                                    <select name="server" id="server" class="form-control" style="width:auto;" onchange="location.href='/workspace/view?server=' + this.value + '&path=';">
<?php foreach ($servers as $name=>$value): ?>
                                        <option value="<?= $name ?>" <?php if ($name == $server): echo 'selected'; endif ?>><?= $name ?></option>
<?php endforeach ?>
                                    </select>
                                </td>
                                <td><label for="server">Current Directory</label>&nbsp;<?= $this->c_workspace->get_path_links(); ?></td>
                                <td class="text-right">
                                    <button type="button" class="btn btn-sm btn-default" onclick="if (confirm('Would you delete this directory?')) { location.href='<?= $this->c_workspace->make_url('/workspace/delete') ?>'; }" <?php if ($this->c_workspace->is_root() || !empty($dirs) || !empty($cases)): echo 'disabled'; endif ?>>Delete</button>
                                    <button type="button" class="btn btn-sm btn-default" onclick="location.href='<?= $this->c_workspace->make_url('/workspace/view', '..') ?>';" <?php if ($this->c_workspace->is_root()): echo 'disabled'; endif ?>>Go Up</button>

                                </td>
                            </tr>
                        </table>
                        <br/>
                        <fieldset>
                            <legend>Create</legend>
                            <table style="width:100%">
                                <tr>
                                    <td style="width:290px">
                                        <input type="radio" name="type" id="directory" value="directory" /> <label for="directory" style="font-weight:normal">Directory</label>
                                        &nbsp;
                                        <input type="radio" name="type" id="case" value="case" checked /> <label for="case" style="font-weight:normal">Case</label>
                                        &nbsp;
                                        <input type="radio" name="type" id="copy" value="copy"<?php if (empty($cases)): echo ' disabled'; endif ?> /> <label for="case" style="font-weight:normal">Copy Case From</label>
                                    </td>
                                    <td>
                                        <select name="case_sel" id="case_sel" class="form-control">
<?php foreach ($cases as $sub): ?>
                                            <option value="<?= $sub ?>"><?= $sub ?></option>
<?php endforeach ?>
                                        </select>
                                    </td>
                                    <td style="width:60px" class="text-right">Name&nbsp;</td>
                                    <td><input type="text" name="name" class="form-control"></td>
                                    <td class="text-right" style="width:80px"><button type="submit" class="btn btn-sm btn-default" <?php if ($error): echo 'disabled'; endif ?>>Create</button></td>
                                </tr>
                            </table>
                        </fieldset>
                        <br/>
<?php if (!empty($dirs)): ?>
                        <div class="table-responsive">
                            <h2>Directories</h2>
                            <table class="table table-hover">
                                <thead><tr><th>Name</th></tr></thead>
                                <tbody>
<?php foreach ($dirs as $sub): ?>
                                    <tr><td onclick="location.href='<?= $this->c_workspace->make_url('/workspace/view', $sub) ?>';" style="cursor:pointer"><?= $sub ?></td></tr>
<?php endforeach ?>
                                </tbody>
                            </table>
                        </div>
<?php endif ?>
<?php if (!empty($cases)): ?>
                        <div class="table-responsive">
                            <h2>Cases</h2>
                            <table class="table table-hover">
                                <thead><tr><th>Name</th><th style="width:80px"></th></tr></thead>
                                <tbody>
<?php foreach ($cases as $sub): ?>
                                    <tr>
                                        <td onclick="location.href='<?= $this->c_workspace->make_url('/cases/view', $sub) ?>';" style="cursor:pointer"><?= $sub ?></td>
                                        <td><button type="button" class="btn btn-xs btn-default" onclick="location.href='<?= $this->c_workspace->make_url('/cases/download/'.$sub) ?>';">Download</button></td>
                                    </tr>
<?php endforeach ?>
                                </tbody>
                            </table>
                        </div>
<?php endif ?>
                    </td>
                </tr>
            </table>
        </td>
<?= form_close() ?>
    </tr>
</table>