<?php
$new_row = FALSE;
?>
<div class="panel panel-default" style="width:100%">
    <div class="panel-heading"><b class="panel-title">Options</b></div>
    <div class="panel-body">
        <table class="table-form">
            <tr><td><input type="checkbox" name="parallel" id="parallel" value="on"<?php if ($options && element('parallel', $options)): echo ' checked'; endif ?> /> <label for="parallel">Run In Parallel</label></td></tr>
            <tr><td><input type="checkbox" name="potential" id="potential" value="on" /> <label for="parallel">Potential Initialize</label></td></tr>
        </table>
    </div>
</div>
<div class="row flex">
<?php foreach ($case['inputs'] as $name => $menu): ?>
    <div class="col-md-6">
        <div class="panel panel-default" style="width:100%">
            <div class="panel-heading"><b class="panel-title"><?= $titles[$name] ?></b></div>
            <div class="panel-body">
                <table class="table-form">
<?php foreach ($menu as $sub_name => $sub_menu): ?>
                    <tr>
                        <td><?= $sub_menu['title'] ?></td>
                        <td style="width:100px">
<?php switch ($sub_menu['saved']): ?>
<?php case INP_REQUIRED: ?>
                            <button type="button" class="btn btn-xs btn-danger form-control" onclick="location.href='<?= $this->c_workspace->make_url('/condition/'.$name.'/'.$sub_name) ?>';">Required</button>
<?php break ?>
<?php case INP_OPTIONAL: ?>
                            <button type="button" class="btn btn-xs btn-info form-control" onclick="location.href='<?= $this->c_workspace->make_url('/condition/'.$name.'/'.$sub_name) ?>';">Optional</button>
<?php break ?>
<?php default: ?>
                            <button type="button" class="btn btn-xs btn-default form-control" onclick="location.href='<?= $this->c_workspace->make_url('/condition/'.$name.'/'.$sub_name) ?>';">Edit</button>
<?php break ?>
<?php endswitch ?>
                        </td>
                    </tr>
<?php endforeach ?>
                </table>
            </div>
        </div>
    </div>
<?php if($new_row): ?>
</div>
<div class="row flex">
<?php endif ?>
<?php $new_row = !$new_row; ?>
<?php endforeach ?>
</div>
