<?php foreach ($items as $name => $fields): ?>
<h3><?= $name ?></h3>
<table class="table-form" style="width:100%">
    <tbody>
        <tr>
            <th style="width:240px;vertical-align:top">Name</th>
            <td><input type="text" id="<?= $name ?>_name" name="<?= $name ?>_name" value="<?= $name ?>" class="form-control" /></td>
        </tr>
        <tr>
            <th style="vertical-align:top">Type</th>
            <td>
                <select id="<?= $name ?>_type" name="<?= $name ?>_type" class="form-control">
<?php foreach ($this->config->item('boundary_types') as $type => $info): ?>
                    <option value="<?= $type ?>"<?php if ($fields['type'] == $type): echo ' selected'; endif; ?>><?= $type ?></option>
<?php endforeach ?>
                </select>
            </td>
        </tr>
    </tbody>
</table>
<input type="hidden" name="boundaries[]" value="<?= $name ?>" />
<input type="hidden" name="<?= $name ?>_nFaces" value="<?= $fields['nFaces'] ?>" />
<input type="hidden" name="<?= $name ?>_startFace" value="<?= $fields['startFace'] ?>" />
<div id="<?= $name ?>_cyclicAMI"<?php if ($fields['type'] != 'cyclicAMI'): echo ' style="display:none"'; endif; ?>>
    <table style="width:100%" class="table-form">
        <tbody>
            <tr>
                <th style="width:240px">Match Tolerance</th>
                <td><input type="number" id="<?= $name ?>_matchTolerance" name="<?= $name ?>_matchTolerance" value="<?= element('matchTolerance', $fields, 0.0001) ?>" class="form-control" /></td>
            </tr>
            <tr>
                <th>Transform</th>
                <td>
                    <select id="<?= $name ?>_transform" name="<?= $name ?>_transform" class="form-control">
                        <option value="noOrdering"<?php if (element('transform', $fields) == 'noOrdering'): echo ' selected'; endif; ?>>noOrdering</option>
                    </select>
                </td>
            </tr>
            <tr>
                <th>Neighbour Patch</th>
                <td>
                    <select id="<?= $name ?>_neighbourPatch" name="<?= $name ?>_neighbourPatch" class="form-control">
                        <option value="">&lt;select patch&gt;</option>
<?php foreach ($items as $boundary => $info): ?>
<?php if ($boundary != $name): ?>
                        <option value="<?= $boundary ?>"<?php if (element('neighbourPatch', $fields) == $boundary): echo ' selected'; endif; ?>><?= $boundary ?></option>
<?php endif ?>
<?php endforeach ?>
                    </select>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<br/>
<?php endforeach ?>
