<?php
    $cur_menu_1 = NULL;
    $cur_menu_2 = NULL;

    $nav_enabled = FALSE;
    if ($case && !empty($case['bnd_setup']))
    {
        $nav_enabled = TRUE;
    }

    $disabled = FALSE;
    $active_check = TRUE;
    $next = 'cases/view';

    $cur = explode("/", uri_string());
    if ($cur[0] == 'condition')
    {
        $cur_menu_1 = $cur[1];
        $cur_menu_2 = $cur[2];
    }

    if ($multipart)
    {
        echo form_open_multipart($action);
    }
    else
    {
        echo form_open($action);
    }
?>
<table class="maincontainer">
    <tr>
        <td>
            <table class="maincontainer">
                <tr>
                    <td colspan="3"><table><tr><td><h1 onclick="location.href='<?= $this->c_workspace->make_url("/cases/view") ?>';" style="cursor:pointer"><?= $case_name ?></h1></td></tr></table></td>
                </tr>
                <tr>
                    <td style="width:260px;vertical-align:bottom">
                        <button type="button" class="btn btn-sm btn-default" onclick="location.href='<?= $this->c_workspace->make_url('/workspace/view', '..') ?>';">To List</button>
<?php if ($submit != 'Create'): ?>
                        <button type="button" class="btn btn-sm btn-default" onclick="if (confirm('Would you delete this case?')) location.href='<?= $this->c_workspace->make_url('/cases/delete') ?>';">Delete</button>
<?php endif ?>
                    </td>
                    <td style="width:10px"></td>
                    <td style="vertical-align:bottom">
                        <ul class="nav nav-tabs" role="tablist">
<?php if ($nav_enabled): ?>
<?php foreach ($case['inputs'] as $name => $menu): ?>
                            <li class="dropdown<?= $name == $cur_menu_1 ? ' active' : '' ?>">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><?= $titles[$name] ?> <span class="caret"></span></a>
                            <ul class="dropdown-menu" role="menu">
<?php
    foreach ($menu as $sub_name => $sub_menu)
    {
        if (!$sub_menu['saved'])
        {
            $disabled = TRUE;

            if ($active_check && $sub_name != $cur_menu_2)
            {
                $next = 'condition/'.$name.'/'.$sub_name;
                $active_check = FALSE;
            }
        }

        if ($sub_name == $cur_menu_2)
        {
            echo '<li class="dropdown-header">'.$sub_menu['title'].'</li>';
            $active_check = TRUE;
        }
        else
        {
            echo '<li><a href="'.$this->c_workspace->make_url('/condition/'.$name.'/'.$sub_name).'">'.$sub_menu['title'].'</a></li>';
        }
    }
?>
                                </ul>
                            </li>
<?php endforeach ?>
<?php endif ?>
                        </ul>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td style="height:100%">
            <table class="maincontainer">
                <tr>
                    <td style="width:260px;vertical-align:top">
                        <br/>
                        <input type="hidden" name="mode" value="<?= $submit ?>" />
                        <input type="hidden" name="next" value="<?= $next ?>" />
                        <div class="panel panel-default" style="width:100%">
                            <div class="panel-heading"><b class="panel-title">Working Directory</b></div>
                            <div class="panel-body"><?= $this->c_workspace->get_path_links(); ?></div>
                        </div>
<?php
    if ($case)
    {
        $this->load->view('case/base');

        if (!empty($case['boundaries']))
        {
            $this->load->view('case/boundaries');
        }
    }
?>
                    </td>
                    <td style="width:10px"></td>
                    <td colspan="2" style="background-color:#FFFFFF;border-left: 1px solid #ddd;border-right: 1px solid #ddd;vertical-align:top">
                        <table style="width:100%">
                            <tr>
                                <td rowspan="3" style="width:10px"></td>
                                <td><br/><h2 class="sub-title"><?= $title ?></h2></td>
                                <td class="text-right" style="vertical-align:bottom">
<?php foreach ($buttons as $btn): ?>
<?php if ($btn['action'] == 'submit'): ?>
                                    <button type="button" name="<?= $btn['name'] ?>" onclick="this.form.mode.value='<?= $btn['value'] ?>'; this.form.submit();" class="btn btn-default"><?= $btn['value'] ?></button>
<?php else: ?>
                                    <button type="button" name="<?= $btn['name'] ?>" onclick="<?= $btn['action'] ?>" class="btn btn-default"><?= $btn['value'] ?></button>
<?php endif ?>
<?php endforeach ?>
                                    <button type="submit" id="OK" class="btn btn-primary"<?= $disabled && $submit == 'Solve' ? ' disabled' : '' ?>><?= $submit ?></button>
                                </td>
                                <td rowspan="3" style="width:10px"></td>
                            </tr>
                            <tr><td colspan="5" style="height:10px"></td></tr>
                            <tr>
                                <td colspan="2">
<?php if (!empty($alert)): ?>
                            <div class="alert alert-<?= $alert['type'] ?>" role="alert"><strong><?= $alert['title'] ?></strong> &nbsp;<?= $alert['msg'] ?></div>
<?php endif ?>
<?php $this->load->view($view); ?>
                                </td>
                            </tr>
                        </table>
                    </td>
<?php echo form_close(); ?>
                </tr>
            </table>
        </td>
    </tr>
</table>
